pcl::DefaultPointRepresentation< NormalBasedSignature12 > Class Template Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< NormalBasedSignature12 >:

## Additional Inherited Members

Public Types inherited from pcl::DefaultFeatureRepresentation< NormalBasedSignature12 >
typedef boost::shared_ptr< DefaultFeatureRepresentation< NormalBasedSignature12 > > | Ptr
typedef boost::shared_ptr< const DefaultFeatureRepresentation< NormalBasedSignature12 > > | ConstPtr
typedef pcl::traits::fieldList< NormalBasedSignature12 >::type | FieldList
Public Types inherited from pcl::PointRepresentation< NormalBasedSignature12 >
typedef boost::shared_ptr< PointRepresentation< NormalBasedSignature12 > > | Ptr
typedef boost::shared_ptr< const PointRepresentation< NormalBasedSignature12 > > | ConstPtr
Public Member Functions inherited from pcl::DefaultFeatureRepresentation< NormalBasedSignature12 >
| DefaultFeatureRepresentation ()
Ptr | makeShared () const
virtual void | copyToFloatArray (const NormalBasedSignature12 &p, float *out) const
| Copy point data from input point to a float array. More...
Public Member Functions inherited from pcl::PointRepresentation< NormalBasedSignature12 >
| PointRepresentation ()
| Empty constructor. More...
virtual | ~PointRepresentation ()
| Empty destructor. More...
bool | isTrivial () const
| Returns whether this point representation is trivial. More...
virtual bool | isValid (const NormalBasedSignature12 &p) const
| Verify that the input point is valid. More...
void | vectorize (const NormalBasedSignature12 &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha. More...
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points. More...
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation. More...
Protected Attributes inherited from pcl::PointRepresentation< NormalBasedSignature12 >
int | nr_dimensions_
| The number of dimensions in this point's vector (i.e. More...
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension. More...
bool | trivial_
| Indicates whether this point representation is trivial. More...

## Detailed Description

### template<>
class pcl::DefaultPointRepresentation< NormalBasedSignature12 >

Definition at line 437 of file point_representation.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/point_representation.h